Package Details: opera-developer-ffmpeg-codecs 121.0.6156.3-1

Git Clone URL: https://aur.archlinux.org/opera-developer-ffmpeg-codecs.git (read-only, click to copy)
Package Base: opera-developer-ffmpeg-codecs
Description: additional support for proprietary codecs for opera-developer
Upstream URL: https://ffmpeg.org/
Licenses: LGPL2.1
Submitter: BlackIkeEagle
Maintainer: Carlinix
Last Packager: BlackIkeEagle
Votes: 15
Popularity: 0.000198
First Submitted: 2015-11-08 21:46 (UTC)
Last Updated: 2024-01-15 14:06 (UTC)

Pinned Comments

BlackIkeEagle commented on 2024-01-25 19:49 (UTC)

Since I no longer use Opera, I have disowned. This also means the packages are no longer available in my personal repo.

Latest Comments

1 2 3 Next › Last »

BlackIkeEagle commented on 2024-01-25 19:49 (UTC)

Since I no longer use Opera, I have disowned. This also means the packages are no longer available in my personal repo.

BlackIkeEagle commented on 2022-05-13 09:17 (UTC)

@petef4 yes the 103 version failed the build, if you have time to spare feel free to find a patch to make the build work. I'll address it when I have sufficient time to dig into it

petef4 commented on 2022-05-12 09:19 (UTC)

This package version 101 has fallen behind, it is for Opera developer 87. We should be on 103 to go with opera-developer 89.

petef4 commented on 2018-07-10 20:24 (UTC)

The latest Opera developer 56.0.3010.0 fixes the external ffmpeg issue. A preload is no longer needed.

petef4 commented on 2018-06-04 19:26 (UTC)

For some time now I have been unable to view mp4 H264 in opera-developer. That is despite installing today's updates of opera-developer and opera-developer-ffmpeg-codecs from herecura.

Without doing anything ldd shows that Opera is using its own libffmpeg.so. Setting LD_LIBRARY_PATH did not help. I can get it functioning with LD_PRELOAD.

LD_PRELOAD=/usr/lib/opera-developer/lib_extra/libffmpeg.so /usr/lib/opera-developer/opera-developer

Is there a better way to run Opera?

telephone commented on 2018-02-15 02:47 (UTC)

H264 is not working in the latest release "52.0.2864.0". It appears they updated Chromium to version "65.0.3325.52".

Can anyone else confirm whether it's not working?

realasking commented on 2017-11-03 07:28 (UTC)

Failed compiling: Computing //third_party/swiftshader:swiftshader_tests(//build/toolchain/linux:x64) [1103/152418.456243:FATAL:err.cc(161)] Check failed: has_error_. out/Release/gn(+0x49947) [0x55dba9b5a947] out/Release/gn(+0x2001f) [0x55dba9b3101f] out/Release/gn(+0x11e7f9) [0x55dba9c2f7f9] out/Release/gn(+0x14b7b6) [0x55dba9c5c7b6] out/Release/gn(+0x14803) [0x55dba9b25803] /usr/lib/libc.so.6(__libc_start_main+0xea) [0x7f3e1efe2f6a] out/Release/gn(+0x14bca) [0x55dba9b25bca] /tmp/yaourt-tmp-realasking/aur-opera-developer-ffmpeg-codecs/./PKGBUILD: 行 50: 25297 已放弃 (核心已转储)out/Release/gn gen out/Release -v --args="$args" --script-executable=/usr/bin/python2 ==> 错误: 在 build() 中发生一个错误。 正在放弃... ==> 错误:Makepkg 无法构建 opera-developer-ffmpeg-codecs. ==> 重新构建 opera-developer-ffmpeg-codecs ?[y/N]

Anarconda commented on 2017-10-09 17:08 (UTC)

https://raw.githubusercontent.com/gentoo/gentoo/master/www-client/chromium/files/chromium-gn-bootstrap-r18.patch 404: Not Found TIA

BlackIkeEagle commented on 2016-05-25 20:55 (UTC) (edited on 2017-07-18 19:06 (UTC) by BlackIkeEagle)

For the people not willing to download 500MB of chromium source to build this package: You can install it from my repo: https://repo.herecura.eu Note: When the version here in AUR updates you should keep in mind it can take up to 30 minutes until its available in my repo. If you are using an AUR helper you must make sure you have enough space where the helper wants to build. If your helper uses /tmp or something you are very likely to run out of "diskspace" while building this package.

vivaeltopo commented on 2016-02-03 12:07 (UTC)

Thanks a lot! @BlackIkeEagle The patched opera-developer fixed h264/mp3.